%define _initddir /etc/rc.d/init.d

Summary:	A client to update host entries on DynDNS like services
Name:		ddclient
Version:	3.8.1
Release:	%mkrel 1
License:	GPL
Group:		System/Configuration/Networking
URL:		http://ddclient.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/ddclient/%name-%version.tar.xz
Patch0:		ddclient-3.8.0-lsb.patch
Requires:	perl(IO::Socket::SSL) perl(Digest::SHA1)
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
DDclient is a small full featured client requiring only Perl and no
additional modules. It runs under most UNIX OSes and has been tested
under Linux and FreeBSD. Supported features include: operating as a
daemon, manual and automatic updates, static and dynamic updates,
optimized updates for multiple addresses, MX, wildcards, abuse
avoidance, retrying failed updates, and sending update status to
syslog and through e-mail. This release may now obtain your IP address
from any interface, web based IP detection, Watchguard's SOHO router,
Netopia's R910 router, SMC's Barricade broadband router, Netgear's
RT3xx router, Linksys' broadband routers, MaxGate's UGATE-3x00
routers, ELSA's LANCOM DSL/10 routers, Cisco's 2610, 3com 3c886a 56k
Lan Modem, SOHOWare BroadGuard NBG800, almost every other router with
user configurable FW definitions (see the sample-etc_ddclient.conf)
and now provides Full support for DynDNS.org's NIC2 protocol. Support
is also included for other dynamic DNS services. Comes with sample
scripts for use with DHCP, PPP, and cron. See the README for more
information.

%prep
%setup -q
%patch0 -p1 -b .lsb

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_sbindir},%{_sysconfdir}/%{name},%{_initddir}}
mkdir -p %{buildroot}/var/cache/ddclient

install -p ddclient %{buildroot}%{_sbindir}
install -p sample-etc_ddclient.conf %{buildroot}%{_sysconfdir}/%{name}/ddclient.conf
touch %{buildroot}%{_sysconfdir}/%{name}/ddclient.cache
install -p sample-etc_rc.d_init.d_ddclient.redhat %{buildroot}%{_initddir}/ddclient


%clean
rm -rf %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}


%files
%defattr(-,root,root)
%doc sample* README* COPYRIGHT COPYING
%{_sbindir}/ddclient
%attr(600,root,root) %config(noreplace) %{_sysconfdir}/%{name}/ddclient.conf
%config(noreplace) %ghost %{_sysconfdir}/%{name}/ddclient.cache
%{_initddir}/ddclient
%dir /var/cache/ddclient




%changelog
* Wed Feb 29 2012 Neal <nealbrks0 at gmail dot com> 3.8.1-1pclos2012
- process

* Wed Feb 29 2012 kjpetrie <pclos dot bugs at kjpetrie dot co dot uk> 3.8.1-1pclos2012
- 3.8.1
- replaced privoxy in post and preun with %{name} 

* Fri Jul 23 2010 Texstar <texstar at gmail.com> 3.8.0-2pclos2010
- update for 2010 release

